/*****************************************************************
 * Copyright (c) ParaSoft Corporation 1991.  All rights reserved.*
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft       *
 * The copyright notice above does not evidence any              *
 * actual or intended publication of such source code.           *
 *****************************************************************/

typedef struct Trans {
	int type;
	int nbef, naft;
	Node **sta_bef;
	Node **sta_aft;
} Trans;

#define TRN	(Trans*) 0
extern Node *trans_pass ();
extern Trans *trans_add_stmt_bef ();
extern Trans *trans_add_stmt_aft ();
extern Trans *trans_add_stmt_aft_before_last ();
extern Trans *trans_add_sta_bef ();
extern Trans *trans_add_sta_aft ();
extern Trans *trans_add_sta_aft_before_last ();
extern Trans *trans_malloc ();
extern int trans_tree_has_stmts ();
